diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-end-point-demux.h ns-3.44/src/internet/model/ipv4-end-point-demux.h
--- ns-3.43/src/internet/model/ipv4-end-point-demux.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-end-point-demux.h	2025-03-09 16:55:49.391371000 -0700
@@ -22,9 +22,9 @@
 class Ipv4EndPoint;
 
 /**
- * \ingroup ipv4
+ * @ingroup ipv4
  *
- * \brief Demultiplexes packets to various transport layer endpoints
+ * @brief Demultiplexes packets to various transport layer endpoints
  *
  * This class serves as a lookup table to match partial or full information
  * about a four-tuple to an ns3::Ipv4EndPoint.  It internally contains a list
@@ -37,12 +37,12 @@
 {
   public:
     /**
-     * \brief Container of the IPv4 endpoints.
+     * @brief Container of the IPv4 endpoints.
      */
     typedef std::list<Ipv4EndPoint*> EndPoints;
 
     /**
-     * \brief Iterator to the container of the IPv4 endpoints.
+     * @brief Iterator to the container of the IPv4 endpoints.
      */
     typedef std::list<Ipv4EndPoint*>::iterator EndPointsI;
 
@@ -50,29 +50,29 @@
     ~Ipv4EndPointDemux();
 
     /**
-     * \brief Get the entire list of end points registered.
-     * \return list of Ipv4EndPoint
+     * @brief Get the entire list of end points registered.
+     * @return list of Ipv4EndPoint
      */
     EndPoints GetAllEndPoints();
 
     /**
-     * \brief Lookup for port local.
-     * \param port port to test
-     * \return true if a port local is in EndPoints, false otherwise
+     * @brief Lookup for port local.
+     * @param port port to test
+     * @return true if a port local is in EndPoints, false otherwise
      */
     bool LookupPortLocal(uint16_t port);
 
     /**
-     * \brief Lookup for address and port.
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param addr address to test
-     * \param port port to test
-     * \return true if there is a match in EndPoints, false otherwise
+     * @brief Lookup for address and port.
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param addr address to test
+     * @param port port to test
+     * @return true if there is a match in EndPoints, false otherwise
      */
     bool LookupLocal(Ptr<NetDevice> boundNetDevice, Ipv4Address addr, uint16_t port);
 
     /**
-     * \brief lookup for a match with all the parameters.
+     * @brief lookup for a match with all the parameters.
      *
      * The function will return a list of most-matching EndPoints, in this order:
      *   -# Full match
@@ -82,12 +82,12 @@
      *
      * EndPoint with disabled Rx are skipped.
      *
-     * \param daddr destination address to test
-     * \param dport destination port to test
-     * \param saddr source address to test
-     * \param sport source port to test
-     * \param incomingInterface the incoming interface
-     * \return list of IPv4EndPoints (could be 0 element)
+     * @param daddr destination address to test
+     * @param dport destination port to test
+     * @param saddr source address to test
+     * @param sport source port to test
+     * @param incomingInterface the incoming interface
+     * @return list of IPv4EndPoints (could be 0 element)
      */
     EndPoints Lookup(Ipv4Address daddr,
                      uint16_t dport,
@@ -96,12 +96,12 @@
                      Ptr<Ipv4Interface> incomingInterface);
 
     /**
-     * \brief simple lookup for a match with all the parameters.
-     * \param daddr destination address to test
-     * \param dport destination port to test
-     * \param saddr source address to test
-     * \param sport source port to test
-     * \return IPv4EndPoint (0 if not found)
+     * @brief simple lookup for a match with all the parameters.
+     * @param daddr destination address to test
+     * @param dport destination port to test
+     * @param saddr source address to test
+     * @param sport source port to test
+     * @return IPv4EndPoint (0 if not found)
      */
     Ipv4EndPoint* SimpleLookup(Ipv4Address daddr,
                                uint16_t dport,
@@ -109,43 +109,43 @@
                                uint16_t sport);
 
     /**
-     * \brief Allocate a Ipv4EndPoint.
-     * \return an empty Ipv4EndPoint instance
+     * @brief Allocate a Ipv4EndPoint.
+     * @return an empty Ipv4EndPoint instance
      */
     Ipv4EndPoint* Allocate();
 
     /**
-     * \brief Allocate a Ipv4EndPoint.
-     * \param address IPv4 address
-     * \return an Ipv4EndPoint instance
+     * @brief Allocate a Ipv4EndPoint.
+     * @param address IPv4 address
+     * @return an Ipv4EndPoint instance
      */
     Ipv4EndPoint* Allocate(Ipv4Address address);
 
     /**
-     * \brief Allocate a Ipv4EndPoint.
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param port local port
-     * \return an Ipv4EndPoint instance
+     * @brief Allocate a Ipv4EndPoint.
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param port local port
+     * @return an Ipv4EndPoint instance
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice, uint16_t port);
 
     /**
-     * \brief Allocate a Ipv4EndPoint.
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param address local address
-     * \param port local port
-     * \return an Ipv4EndPoint instance
+     * @brief Allocate a Ipv4EndPoint.
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param address local address
+     * @param port local port
+     * @return an Ipv4EndPoint instance
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice, Ipv4Address address, uint16_t port);
 
     /**
-     * \brief Allocate a Ipv4EndPoint.
-     * \param boundNetDevice Bound NetDevice (if any)
-     * \param localAddress local address
-     * \param localPort local port
-     * \param peerAddress peer address
-     * \param peerPort peer port
-     * \return an Ipv4EndPoint instance
+     * @brief Allocate a Ipv4EndPoint.
+     * @param boundNetDevice Bound NetDevice (if any)
+     * @param localAddress local address
+     * @param localPort local port
+     * @param peerAddress peer address
+     * @param peerPort peer port
+     * @return an Ipv4EndPoint instance
      */
     Ipv4EndPoint* Allocate(Ptr<NetDevice> boundNetDevice,
                            Ipv4Address localAddress,
@@ -154,35 +154,35 @@
                            uint16_t peerPort);
 
     /**
-     * \brief Remove a end point.
-     * \param endPoint the end point to remove
+     * @brief Remove a end point.
+     * @param endPoint the end point to remove
      */
     void DeAllocate(Ipv4EndPoint* endPoint);
 
   private:
     /**
-     * \brief Allocate an ephemeral port.
-     * \returns the ephemeral port
+     * @brief Allocate an ephemeral port.
+     * @returns the ephemeral port
      */
     uint16_t AllocateEphemeralPort();
 
     /**
-     * \brief The ephemeral port.
+     * @brief The ephemeral port.
      */
     uint16_t m_ephemeral;
 
     /**
-     * \brief The last ephemeral port.
+     * @brief The last ephemeral port.
      */
     uint16_t m_portLast;
 
     /**
-     * \brief The first ephemeral port.
+     * @brief The first ephemeral port.
      */
     uint16_t m_portFirst;
 
     /**
-     * \brief A list of IPv4 end points.
+     * @brief A list of IPv4 end points.
      */
     EndPoints m_endPoints;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-end-point.h ns-3.44/src/internet/model/ipv4-end-point.h
--- ns-3.43/src/internet/model/ipv4-end-point.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-end-point.h	2025-03-09 16:55:49.395371200 -0700
@@ -25,9 +25,9 @@
 class Packet;
 
 /**
- * \ingroup ipv4
+ * @ingroup ipv4
  *
- * \brief A representation of an internet endpoint/connection
+ * @brief A representation of an internet endpoint/connection
  *
  * This class provides an internet four-tuple (source and destination ports
  * and addresses).  These are used in the ns3::Ipv4EndPointDemux as targets
@@ -41,52 +41,52 @@
 {
   public:
     /**
-     * \brief Constructor.
-     * \param address the IPv4 address
-     * \param port the port
+     * @brief Constructor.
+     * @param address the IPv4 address
+     * @param port the port
      */
     Ipv4EndPoint(Ipv4Address address, uint16_t port);
     ~Ipv4EndPoint();
 
     /**
-     * \brief Get the local address.
-     * \return the local address
+     * @brief Get the local address.
+     * @return the local address
      */
     Ipv4Address GetLocalAddress() const;
 
     /**
-     * \brief Set the local address.
-     * \param address the address to set
+     * @brief Set the local address.
+     * @param address the address to set
      */
     void SetLocalAddress(Ipv4Address address);
 
     /**
-     * \brief Get the local port.
-     * \return the local port
+     * @brief Get the local port.
+     * @return the local port
      */
     uint16_t GetLocalPort() const;
 
     /**
-     * \brief Get the peer address.
-     * \return the peer address
+     * @brief Get the peer address.
+     * @return the peer address
      */
     Ipv4Address GetPeerAddress() const;
 
     /**
-     * \brief Get the peer port.
-     * \return the peer port
+     * @brief Get the peer port.
+     * @return the peer port
      */
     uint16_t GetPeerPort() const;
 
     /**
-     * \brief Set the peer information (address and port).
-     * \param address peer address
-     * \param port peer port
+     * @brief Set the peer information (address and port).
+     * @param address peer address
+     * @param port peer port
      */
     void SetPeer(Ipv4Address address, uint16_t port);
 
     /**
-     * \brief Bind a socket to specific device.
+     * @brief Bind a socket to specific device.
      *
      * This method corresponds to using setsockopt() SO_BINDTODEVICE
      * of real network or BSD sockets.   If set on a socket, this option will
@@ -101,48 +101,48 @@
      * is also possible to bind to mismatching device and address, even if
      * the socket can not receive any packets as a result.
      *
-     * \param netdevice Pointer to Netdevice of desired interface
+     * @param netdevice Pointer to Netdevice of desired interface
      */
     void BindToNetDevice(Ptr<NetDevice> netdevice);
 
     /**
-     * \brief Returns socket's bound netdevice, if any.
+     * @brief Returns socket's bound netdevice, if any.
      *
      * This method corresponds to using getsockopt() SO_BINDTODEVICE
      * of real network or BSD sockets.
      *
      *
-     * \returns Pointer to interface.
+     * @returns Pointer to interface.
      */
     Ptr<NetDevice> GetBoundNetDevice() const;
 
     // Called from socket implementations to get notified about important events.
     /**
-     * \brief Set the reception callback.
-     * \param callback callback function
+     * @brief Set the reception callback.
+     * @param callback callback function
      */
     void SetRxCallback(
         Callback<void, Ptr<Packet>, Ipv4Header, uint16_t, Ptr<Ipv4Interface>> callback);
     /**
-     * \brief Set the ICMP callback.
-     * \param callback callback function
+     * @brief Set the ICMP callback.
+     * @param callback callback function
      */
     void SetIcmpCallback(Callback<void, Ipv4Address, uint8_t, uint8_t, uint8_t, uint32_t> callback);
     /**
-     * \brief Set the default destroy callback.
-     * \param callback callback function
+     * @brief Set the default destroy callback.
+     * @param callback callback function
      */
     void SetDestroyCallback(Callback<void> callback);
 
     /**
-     * \brief Forward the packet to the upper level.
+     * @brief Forward the packet to the upper level.
      *
      * Called from an L4Protocol implementation to notify an endpoint of a
      * packet reception.
-     * \param p the packet
-     * \param header the packet header
-     * \param sport source port
-     * \param incomingInterface incoming interface
+     * @param p the packet
+     * @param header the packet header
+     * @param sport source port
+     * @param incomingInterface incoming interface
      */
     void ForwardUp(Ptr<Packet> p,
                    const Ipv4Header& header,
@@ -150,16 +150,16 @@
                    Ptr<Ipv4Interface> incomingInterface);
 
     /**
-     * \brief Forward the ICMP packet to the upper level.
+     * @brief Forward the ICMP packet to the upper level.
      *
      * Called from an L4Protocol implementation to notify an endpoint of
      * an icmp message reception.
      *
-     * \param icmpSource source IP address
-     * \param icmpTtl time-to-live
-     * \param icmpType ICMP type
-     * \param icmpCode ICMP code
-     * \param icmpInfo ICMP info
+     * @param icmpSource source IP address
+     * @param icmpTtl time-to-live
+     * @param icmpType ICMP type
+     * @param icmpCode ICMP code
+     * @param icmpInfo ICMP info
      */
     void ForwardIcmp(Ipv4Address icmpSource,
                      uint8_t icmpTtl,
@@ -168,60 +168,60 @@
                      uint32_t icmpInfo);
 
     /**
-     * \brief Enable or Disable the endpoint Rx capability.
-     * \param enabled true if Rx is enabled
+     * @brief Enable or Disable the endpoint Rx capability.
+     * @param enabled true if Rx is enabled
      */
     void SetRxEnabled(bool enabled);
 
     /**
-     * \brief Checks if the endpoint can receive packets.
-     * \returns true if the endpoint can receive packets.
+     * @brief Checks if the endpoint can receive packets.
+     * @returns true if the endpoint can receive packets.
      */
     bool IsRxEnabled() const;
 
   private:
     /**
-     * \brief The local address.
+     * @brief The local address.
      */
     Ipv4Address m_localAddr;
 
     /**
-     * \brief The local port.
+     * @brief The local port.
      */
     uint16_t m_localPort;
 
     /**
-     * \brief The peer address.
+     * @brief The peer address.
      */
     Ipv4Address m_peerAddr;
 
     /**
-     * \brief The peer port.
+     * @brief The peer port.
      */
     uint16_t m_peerPort;
 
     /**
-     * \brief The NetDevice the EndPoint is bound to (if any).
+     * @brief The NetDevice the EndPoint is bound to (if any).
      */
     Ptr<NetDevice> m_boundnetdevice;
 
     /**
-     * \brief The RX callback.
+     * @brief The RX callback.
      */
     Callback<void, Ptr<Packet>, Ipv4Header, uint16_t, Ptr<Ipv4Interface>> m_rxCallback;
 
     /**
-     * \brief The ICMPv6 callback.
+     * @brief The ICMPv6 callback.
      */
     Callback<void, Ipv4Address, uint8_t, uint8_t, uint8_t, uint32_t> m_icmpCallback;
 
     /**
-     * \brief The destroy callback.
+     * @brief The destroy callback.
      */
     Callback<void> m_destroyCallback;
 
     /**
-     * \brief true if the endpoint can receive packets.
+     * @brief true if the endpoint can receive packets.
      */
     bool m_rxEnabled;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-global-routing.cc ns-3.44/src/internet/model/ipv4-global-routing.cc
--- ns-3.43/src/internet/model/ipv4-global-routing.cc	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-global-routing.cc	2025-03-09 16:55:49.395371200 -0700
@@ -206,7 +206,7 @@
         // create a Ipv4Route object from the selected routing table entry
         rtentry = Create<Ipv4Route>();
         rtentry->SetDestination(route->GetDest());
-        /// \todo handle multi-address case
+        /// @todo handle multi-address case
         rtentry->SetSource(m_ipv4->GetAddress(route->GetInterface(), 0).GetLocal());
         rtentry->SetGateway(route->GetGateway());
         uint32_t interfaceIdx = route->GetInterface();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv4-global-routing.h ns-3.44/src/internet/model/ipv4-global-routing.h
--- ns-3.43/src/internet/model/ipv4-global-routing.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/ipv4-global-routing.h	2025-03-09 16:55:49.395371200 -0700
@@ -31,9 +31,9 @@
 class Node;
 
 /**
- * \ingroup ipv4
+ * @ingroup ipv4
  *
- * \brief Global routing protocol for IPv4 stacks.
+ * @brief Global routing protocol for IPv4 stacks.
  *
  * In ns-3 we have the concept of a pluggable routing protocol.  Routing
  * protocols are added to a list maintained by the Ipv4L3Protocol.  Every
@@ -54,24 +54,24 @@
  *
  * This class deals with Ipv4 unicast routes only.
  *
- * \see Ipv4RoutingProtocol
- * \see GlobalRouteManager
+ * @see Ipv4RoutingProtocol
+ * @see GlobalRouteManager
  */
 class Ipv4GlobalRouting : public Ipv4RoutingProtocol
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Construct an empty Ipv4GlobalRouting routing protocol,
+     * @brief Construct an empty Ipv4GlobalRouting routing protocol,
      *
      * The Ipv4GlobalRouting class supports host and network unicast routes.
      * This method initializes the lists containing these routes to empty.
      *
-     * \see Ipv4GlobalRouting
+     * @see Ipv4GlobalRouting
      */
     Ipv4GlobalRouting();
     ~Ipv4GlobalRouting() override;
@@ -98,37 +98,37 @@
                            Time::Unit unit = Time::S) const override;
 
     /**
-     * \brief Add a host route to the global routing table.
+     * @brief Add a host route to the global routing table.
      *
-     * \param dest The Ipv4Address destination for this route.
-     * \param nextHop The Ipv4Address of the next hop in the route.
-     * \param interface The network interface index used to send packets to the
+     * @param dest The Ipv4Address destination for this route.
+     * @param nextHop The Ipv4Address of the next hop in the route.
+     * @param interface The network interface index used to send packets to the
      * destination.
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddHostRouteTo(Ipv4Address dest, Ipv4Address nextHop, uint32_t interface);
     /**
-     * \brief Add a host route to the global routing table.
+     * @brief Add a host route to the global routing table.
      *
-     * \param dest The Ipv4Address destination for this route.
-     * \param interface The network interface index used to send packets to the
+     * @param dest The Ipv4Address destination for this route.
+     * @param interface The network interface index used to send packets to the
      * destination.
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddHostRouteTo(Ipv4Address dest, uint32_t interface);
 
     /**
-     * \brief Add a network route to the global routing table.
+     * @brief Add a network route to the global routing table.
      *
-     * \param network The Ipv4Address network for this route.
-     * \param networkMask The Ipv4Mask to extract the network.
-     * \param nextHop The next hop in the route to the destination network.
-     * \param interface The network interface index used to send packets to the
+     * @param network The Ipv4Address network for this route.
+     * @param networkMask The Ipv4Mask to extract the network.
+     * @param nextHop The next hop in the route to the destination network.
+     * @param interface The network interface index used to send packets to the
      * destination.
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddNetworkRouteTo(Ipv4Address network,
                            Ipv4Mask networkMask,
@@ -136,24 +136,24 @@
                            uint32_t interface);
 
     /**
-     * \brief Add a network route to the global routing table.
+     * @brief Add a network route to the global routing table.
      *
-     * \param network The Ipv4Address network for this route.
-     * \param networkMask The Ipv4Mask to extract the network.
-     * \param interface The network interface index used to send packets to the
+     * @param network The Ipv4Address network for this route.
+     * @param networkMask The Ipv4Mask to extract the network.
+     * @param interface The network interface index used to send packets to the
      * destination.
      *
-     * \see Ipv4Address
+     * @see Ipv4Address
      */
     void AddNetworkRouteTo(Ipv4Address network, Ipv4Mask networkMask, uint32_t interface);
 
     /**
-     * \brief Add an external route to the global routing table.
+     * @brief Add an external route to the global routing table.
      *
-     * \param network The Ipv4Address network for this route.
-     * \param networkMask The Ipv4Mask to extract the network.
-     * \param nextHop The next hop Ipv4Address
-     * \param interface The network interface index used to send packets to the
+     * @param network The Ipv4Address network for this route.
+     * @param networkMask The Ipv4Mask to extract the network.
+     * @param nextHop The next hop Ipv4Address
+     * @param interface The network interface index used to send packets to the
      * destination.
      */
     void AddASExternalRouteTo(Ipv4Address network,
@@ -162,16 +162,16 @@
                               uint32_t interface);
 
     /**
-     * \brief Get the number of individual unicast routes that have been added
+     * @brief Get the number of individual unicast routes that have been added
      * to the routing table.
      *
-     * \warning The default route counts as one of the routes.
-     * \returns the number of routes
+     * @warning The default route counts as one of the routes.
+     * @returns the number of routes
      */
     uint32_t GetNRoutes() const;
 
     /**
-     * \brief Get a route from the global unicast routing table.
+     * @brief Get a route from the global unicast routing table.
      *
      * Externally, the unicast global routing table appears simply as a table with
      * n entries.  The one subtlety of note is that if a default route has been set
@@ -182,18 +182,18 @@
      * Similarly, if the default route has been set, calling RemoveRoute (0) will
      * remove the default route.
      *
-     * \param i The index (into the routing table) of the route to retrieve.  If
+     * @param i The index (into the routing table) of the route to retrieve.  If
      * the default route has been set, it will occupy index zero.
-     * \return If route is set, a pointer to that Ipv4RoutingTableEntry is returned, otherwise
+     * @return If route is set, a pointer to that Ipv4RoutingTableEntry is returned, otherwise
      * a zero pointer is returned.
      *
-     * \see Ipv4RoutingTableEntry
-     * \see Ipv4GlobalRouting::RemoveRoute
+     * @see Ipv4RoutingTableEntry
+     * @see Ipv4GlobalRouting::RemoveRoute
      */
     Ipv4RoutingTableEntry* GetRoute(uint32_t i) const;
 
     /**
-     * \brief Remove a route from the global unicast routing table.
+     * @brief Remove a route from the global unicast routing table.
      *
      * Externally, the unicast global routing table appears simply as a table with
      * n entries.  The one subtlety of note is that if a default route has been set
@@ -201,12 +201,12 @@
      * default route has been set, calling RemoveRoute (0) will remove the
      * default route.
      *
-     * \param i The index (into the routing table) of the route to remove.  If
+     * @param i The index (into the routing table) of the route to remove.  If
      * the default route has been set, it will occupy index zero.
      *
-     * \see Ipv4RoutingTableEntry
-     * \see Ipv4GlobalRouting::GetRoute
-     * \see Ipv4GlobalRouting::AddRoute
+     * @see Ipv4RoutingTableEntry
+     * @see Ipv4GlobalRouting::GetRoute
+     * @see Ipv4GlobalRouting::AddRoute
      */
     void RemoveRoute(uint32_t i);
 
@@ -215,8 +215,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -255,10 +255,10 @@
     typedef std::list<Ipv4RoutingTableEntry*>::iterator ASExternalRoutesI;
 
     /**
-     * \brief Lookup in the forwarding table for destination.
-     * \param dest destination address
-     * \param oif output interface if any (put 0 otherwise)
-     * \return Ipv4Route to route the packet to reach dest address
+     * @brief Lookup in the forwarding table for destination.
+     * @param dest destination address
+     * @param oif output interface if any (put 0 otherwise)
+     * @return Ipv4Route to route the packet to reach dest address
      */
     Ptr<Ipv4Route> LookupGlobal(Ipv4Address dest, Ptr<NetDevice> oif = nullptr);
 
